[Intel-gfx] [PATCH 6/6] tests/dpf: simple dpf test
Ben Widawsky
ben at bwidawsk.net
Sat May 26 01:56:27 CEST 2012
Signed-off-by: Ben Widawsky <ben at bwidawsk.net>
---
tests/Makefile.am | 1 +
tests/dpf_test | 9 ++++++++-
2 files changed, 9 insertions(+), 1 deletion(-)
diff --git a/tests/Makefile.am b/tests/Makefile.am
index c7f4f73..3eec64f 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -70,6 +70,7 @@ TESTS_progs = \
TESTS_scripts = \
debugfs_reader \
debugfs_emon_crash \
+ dpf_test \
sysfs_edid_timing \
module_reload \
ZZ_check_dmesg \
diff --git a/tests/dpf_test b/tests/dpf_test
index 7d431ac..f62e341 100755
--- a/tests/dpf_test
+++ b/tests/dpf_test
@@ -4,5 +4,12 @@ SOURCE_DIR="$( dirname "${BASH_SOURCE[0]}" )"
. $SOURCE_DIR/drm_lib.sh
$SOURCE_DIR/../tools/intel_l3_parity -c 2>&1
+
+#Check that we can remap a row
$SOURCE_DIR/../tools/intel_l3_parity 0,0,0 2>&1
-$SOURCE_DIR/../tools/intel_l3_parity 2>&1
+disabled=`$SOURCE_DIR/../tools/intel_l3_parity | grep -c 'Row 0, Bank 0, Subbank 0 is disabled'`
+[ "$disabled" = "1" ] || echo "Fail" && exit -1
+$SOURCE_DIR/../tools/intel_l3_parity -c 2>&1
+
+#Check that we can clear remaps
+[ `$SOURCE_DIR/../tools/intel_l3_parity | wc -c` = "0" ] || echo "Fail" && exit -1
--
1.7.10.2
More information about the Intel-gfx
mailing list